#include "LODInfo.h"
#include "Vector3.h"
#include "Shape.h"
#include "Geometry.h"



namespace CHCDemoEngine 
{

int LODLevel::sFrameId = 0;
Vector3 LODLevel::sViewPoint(0.0f, 0.0f, 0.0f);


void LODLevel::InitFrame(const Vector3 &viewPoint)
{
	sViewPoint = viewPoint;
	++ sFrameId;
}


void LODLevel::AddShape(Shape *shape)
{
	mShapes.push_back(shape);
	mNumTriangles += shape->GetGeometry()->GetNumTriangles();
}


}